unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, kl_Bruch, ExtCtrls, MathEdit;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    BtnShow: TButton;
    BtnKuerzen: TButton;
    IEd_Z1: TIntEdit;
    IEd_N1: TIntEdit;
    IEd_Z2: TIntEdit;
    IEd_N2: TIntEdit;
    Bevel1: TBevel;
    Bevel2: TBevel;
    BtnSetBr1: TButton;
    BtnSetBr2: TButton;
    Bevel3: TBevel;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BtnShowClick(Sender: TObject);
    procedure BtnKuerzenClick(Sender: TObject);
    procedure BtnSetBr1Click(Sender: TObject);
    procedure BtnSetBr2Click(Sender: TObject);
  private
    { Private-Deklarationen }
    br1, br2 : TBruch;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{============= Methoden des Formulars =========================}

procedure TForm1.FormCreate(Sender: TObject);
  begin
  br1 := TBruch.Create(IEd_Z1.Value, IEd_N1.Value);
  br2 := TBruch.Create(IEd_Z2.Value, IEd_N2.Value);
  end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
  begin
  br1.Destroy;
  br2.Destroy;
  end;

procedure TForm1.BtnSetBr1Click(Sender: TObject);
  begin
  br1.Destroy;
  br1 := TBruch.Create(IEd_Z1.Value, IEd_N1.Value);
  end;

procedure TForm1.BtnSetBr2Click(Sender: TObject);
  begin
  br2.Destroy;
  br2 := TBruch.Create(IEd_Z2.Value, IEd_N2.Value);
  end;

procedure TForm1.BtnKuerzenClick(Sender: TObject);
  begin
  br1.Kuerze;
  br2.Kuerze;
  end;

procedure TForm1.BtnShowClick(Sender: TObject);
  begin
  Edit1.Text := 'br1 = ' + br1.AsString + ';   br2 = ' + br2.AsString;
  end;

end.
