unit kl_bruch;

interface

uses sysutils;

type
  TBruch = class(TObject)
           protected
             zaehler : Integer;
             nenner  : Integer;
             function ggT(a, b: Integer): Integer;
           public
             constructor Create(i_zaehler, i_nenner: Integer);
             destructor Destroy; override;
             function   AsString: String;
             procedure  Kuerze;
           end;

implementation

{=============== Methoden von TBruch =========================}

constructor TBruch.Create(i_zaehler, i_nenner: Integer);
  begin
  Inherited Create;
  zaehler := i_zaehler;
  nenner  := i_nenner;
  end;

destructor TBruch.Destroy;
  begin
  Inherited Destroy;
  end;

function TBruch.ggT(a, b: Integer): Integer;
  var r : Integer;
  begin
  If a < b then begin
    r := a; a := b; b := r;
    end;
  While b > 0 do begin
    r := a MOD b;
    a := b;
    b := r;
    end;
  Result := a;
  end;

function TBruch.AsString: String;
  begin
  Result := IntToStr(zaehler) + '/' + IntToStr(nenner);
  end;

procedure TBruch.Kuerze;
  var k : Integer;
  begin
  k := ggT(Abs(zaehler), Abs(nenner));
  zaehler := zaehler div k;
  nenner  := nenner  div k;
  end;

end.
